function [fWP, fWPMAW, rhe,  SampEn, SampEnMAW, MAW] = SampEnIndicesAAsignals_NewVersion(ecgData,fs)


% f-wave power for original signal, and MAW and relative harmonics energy
fWP = fWavePower(ecgData);
[MAW,~,rhe] = MeanAtrialWave(ecgData,fs);
fWPMAW = fWavePower(MAW);

% Sample Entropy
SampEn = SampEn2(2,0.25*std(ecgData),ecgData);
SampEnMAW = SampEn2(2,0.25*std(MAW),MAW);





